function ang = getangle(dx, dy)
    if dx == 0 && dy == 0
        ang = 0;
    else
        nor = sqrt(dx ^ 2 + dy ^ 2);
        aatan = atan(dy / dx);
        aacos = dx / nor;
        ang = 180 * aatan / pi;
        if aacos < 0
            ang = 180 + ang;
        end
        if ang < 0
            ang = ang + 360;
        end
    end
end

